'' Timer Test
''
'' Author.... Jon Williams
'' Updated... 30 APR 2006
''
'' Demonstrates high-resolution (1 ms) timer object using a Parallax Serial LCD.


CON

  _clkmode = xtal1 + pll16x                             ' use crystal x 16
  _xinfreq = 5_000_000                                  ' 5 MHz cyrstal (sys clock = 80 MHz)

  LCD_PIN   = 0                                         ' for Parallax 2x16 serial LCD on P0
  LCD_BAUD  = 19_200
  LCD_LINES = 2    
  

OBJ

  lcd   : "debug_lcd"                                   ' use Parallax serial LCD as output
  timer : "timer"

  
PUB main

  if lcd.start(LCD_PIN, LCD_BAUD, LCD_LINES)            ' start lcd
    lcd.cursor(0)                                       ' cursor off
    lcd.backLight(true)                                 ' backlight on (if available)
    lcd.cls                                             ' clear the lcd
    if timer.start                                      ' start timer cog
      lcd.str(@Title)
      timer.run                                         ' enable timer
      repeat
        lcd.gotoxy(0, 1)                                ' move to col 0 on line 1
        lcd.str(timer.showTimer)                        ' output time as string, hh:mm:ss.ttt
      

DAT

  Title       byte      "Timer Demo", 0  